## unity-2d 0.4-0ubuntu1~bzr457unity2d2charlotte9

=== launcher/CMakeLists.txt ===
project(unity-2d-launcher)

include_directories(
    ${libunity-2d-private_SOURCE_DIR}/src
    )

# Source
add_subdirectory(UnityApplications)
add_subdirectory(app)
add_subdirectory(tests)

file(GLOB launcher_QML *.qml)

# Install
install(FILES ${launcher_QML} launchermenu.css
    DESTINATION ${UNITY_2D_DIR}/launcher
    )

install(DIRECTORY artwork
    DESTINATION ${UNITY_2D_DIR}/launcher
    PATTERN "artwork/applications.png" EXCLUDE
    PATTERN "artwork/files.png" EXCLUDE
    )

install(FILES artwork/applications.png artwork/files.png
    DESTINATION ${UNITY_2D_DIR}
    )

=== launcher/UnityApplications/CMakeLists.txt ===
# Dependencies
pkg_check_modules(QTBAMF REQUIRED libqtbamf)
pkg_check_modules(QTGCONF REQUIRED libqtgconf)
pkg_check_modules(QTDEE REQUIRED libqtdee)
pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GDK REQUIRED gdk-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(WNCK REQUIRED libwnck-1.0)
pkg_check_modules(STARTUPNOTIFICATION REQUIRED libstartup-notification-1.0)

# Sources
set(UnityApplications_SRCS
    iconimageprovider.cpp
    listaggregatormodel.cpp
    launcheritem.cpp
    launcherapplication.cpp
    launcherapplicationslist.cpp
    launcherdevice.cpp
    launcherdeviceslist.cpp
    placeentry.cpp
    place.cpp
    launcherplaceslist.cpp
    trash.cpp
    launchermenu.cpp
    webfavorite.cpp
    plugin.cpp
    workspaces.cpp
    )

set(UnityApplications_MOC_HDRS
    listaggregatormodel.h
    launcheritem.h
    launcherapplication.h
    launcherapplicationslist.h
    launcherdevice.h
    launcherdeviceslist.h
    placeentry.h
    place.h
    launcherplaceslist.h
    trash.h
    launchermenu.h
    webfavorite.h
    plugin.h
    workspaces.h
    )

qt4_wrap_cpp(UnityApplications_MOC_SRCS ${UnityApplications_MOC_HDRS})

# Build
add_definitions(-DWNCK_I_KNOW_THIS_IS_UNSTABLE -DSN_API_NOT_YET_FROZEN)

add_library(UnityApplications SHARED ${UnityApplications_SRCS} ${UnityApplications_MOC_SRCS})

set_target_properties(UnityApplications PROPERTIES
    SOVERSION 1
    VERSION 1.0.0
    )

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QTBAMF_INCLUDE_DIRS}
    ${QTGCONF_INCLUDE_DIRS}
    ${QTDEE_INCLUDE_DIRS}
    ${DBUSMENUQT_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${GDK_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    ${WNCK_INCLUDE_DIRS}
    ${STARTUPNOTIFICATION_INCLUDE_DIRS}
    )

target_link_libraries(UnityApplications
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTNETWORK_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${QTBAMF_LDFLAGS}
    ${QTGCONF_LDFLAGS}
    ${QTDEE_LDFLAGS}
    ${DBUSMENUQT_LDFLAGS}
    ${GLIB_LDFLAGS}
    ${GDK_LDFLAGS}
    ${GIO_LDFLAGS}
    ${WNCK_LDFLAGS}
    ${STARTUPNOTIFICATION_LDFLAGS}
    )

# Install
set(IMPORT_INSTALL_DIR lib/qt4/imports/UnityApplications)

install(TARGETS UnityApplications
    LIBRARY DESTINATION ${IMPORT_INSTALL_DIR}
    )

install(FILES qmldir
    DESTINATION ${IMPORT_INSTALL_DIR}
    )

=== launcher/app/CMakeLists.txt ===
# Dependencies
pkg_check_modules(GTK REQUIRED gtk+-2.0)
pkg_check_modules(X11 REQUIRED x11)
pkg_check_modules(WNCK REQUIRED libwnck)
pkg_check_modules(QTGCONF REQUIRED libqtgconf)

# Sources
set(launcher_SRCS
    abstractvisibilitybehavior.cpp
    autohidebehavior.cpp
    forcevisiblebehavior.cpp
    visibilitycontroller.cpp
    intellihidebehavior.cpp
    launcherview.cpp
    launcherdbus.cpp
    )

set(launcher_MOC_HDRS
    abstractvisibilitybehavior.h
    autohidebehavior.h
    forcevisiblebehavior.h
    visibilitycontroller.h
    intellihidebehavior.h
    launcherview.h
    launcherdbus.h
    )

qt4_wrap_cpp(launcher_MOC_SRCS ${launcher_MOC_HDRS})

configure_file(unity-2d-launcher.service.in unity-2d-launcher.service)

qt4_add_dbus_adaptor(launcher_SRCS launcher.xml
    launcherdbus.h LauncherDBus
    )

# Build
add_library(uqlauncher ${launcher_SRCS} ${launcher_MOC_SRCS})
add_executable(unity-2d-launcher launcher.cpp)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GTK_INCLUDE_DIRS}
    ${X11_INCLUDE_DIRS}
    ${WNCK_INCLUDE_DIRS}
    ${QTGCONF_INCLUDE_DIRS}
    ${libunity-2d-private_SOURCE_DIR}/src
    )

target_link_libraries(uqlauncher
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${GTK_LDFLAGS}
    ${X11_LDFLAGS}
    ${WNCK_LDFLAGS}
    ${QTGCONF_LDFLAGS}
    unity-2d-private
    )

target_link_libraries(unity-2d-launcher
    uqlauncher)

# Install
install(TARGETS unity-2d-launcher
    RUNTIME DESTINATION bin
    )

install(FILES unity-2d-launcher.desktop
    DESTINATION share/applications
    )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/unity-2d-launcher.service
    DESTINATION share/dbus-1/services
    )

=== launcher/tests/CMakeLists.txt ===
macro(launcher_tests)
    set(_test_list "")
    foreach(_test ${ARGN})
        add_test(${_test} ${_test})
        add_executable(${_test} ${_test}.cpp ${_test}.moc)
        qt4_generate_moc(${_test}.cpp ${_test}.moc)
        target_link_libraries(${_test}
            ${QT_QTTEST_LIBRARIES}
            uqlauncher
            UnityApplications
            )
        set(_test_list "${_test_list};${_test}")
    endforeach(_test)

    add_custom_target(launcher_check COMMAND ${CMAKE_CTEST_COMMAND} --verbose
        DEPENDS ${_test_list})
    add_dependencies(check launcher_check)
endmacro(launcher_tests)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../app
    ${CMAKE_CURRENT_SOURCE_DIR}/../UnityApplications
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_QTTEST_INCLUDE_DIR}
    ${QTGCONF_INCLUDE_DIRS}
    )

enable_testing()

launcher_tests(
    launchermenutest
    launcherviewtest
    )

=== libunity-2d-private/src/CMakeLists.txt ===
# Dependencies
pkg_check_modules(GLIB REQUIRED glib-2.0)

# Sources
set(libunity-2d-private_SRCS
    gnomesessionclient.cpp
    keyboardmodifiersmonitor.cpp
    hotkeymonitor.cpp
    hotkey.cpp
    launcherclient.cpp
    mousearea.cpp
    unity2dapplication.cpp
    unity2ddebug.cpp
    unity2dpanel.cpp
    unity2dtr.cpp
    mimedata.cpp
    dragdropevent.cpp
    propertybinder.cpp
    )

# Build
qt4_automoc(${libunity-2d-private_SRCS})

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${GLIB_INCLUDE_DIRS}
    )

add_library(unity-2d-private SHARED ${libunity-2d-private_SRCS})
set_target_properties(unity-2d-private PROPERTIES
    VERSION ${libunity-2d-private_VERSION}
    SOVERSION ${libunity-2d-private_SOVERSION}
    )

target_link_libraries(unity-2d-private
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${X11_LIBRARIES}
    ${GLIB_LDFLAGS}
    )

# Install
install(TARGETS unity-2d-private
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin
    )

install(DIRECTORY .
    DESTINATION include/unity-2d-private
    FILES_MATCHING PATTERN "*.h"
    PATTERN "*_p.h" EXCLUDE
    )

=== panel/app/CMakeLists.txt ===
set(panel_SRCS
    main.cpp
    unity2dstyle.cpp
    )

qt4_automoc(${panel_SRCS})
add_executable(unity-2d-panel ${panel_SRCS})

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${uqapplets_SOURCE_DIR}
    ${uqapplets_SOURCE_DIR}/common
    ${libunity-2d-private_SOURCE_DIR}/src
    )

target_link_libraries(unity-2d-panel
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    uqapplets
    unity-2d-private
    )

install(TARGETS unity-2d-panel
    RUNTIME DESTINATION bin
    )

install(FILES unity-2d-panel.desktop
    DESTINATION share/applications
    )

=== panel/applets/CMakeLists.txt ===
project(uqapplets)

macro(read_pkg_variable cmake_var pkg pkg_var)
    execute_process(
        COMMAND pkg-config --variable=${pkg_var} ${pkg}
        OUTPUT_VARIABLE tmp
        )
    # Remove trailing newline from ${tmp}
    string(STRIP "${tmp}" ${cmake_var})
endmacro(read_pkg_variable)

# Dependencies
include(FindPkgConfig)

pkg_check_modules(QTBAMF REQUIRED libqtbamf)
pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt)
pkg_check_modules(GTK REQUIRED gtk+-2.0)
pkg_check_modules(INDICATOR REQUIRED indicator)
pkg_check_modules(WNCK REQUIRED libwnck)

find_package(X11 REQUIRED)

# Get indicator dirs from pkgconfig
read_pkg_variable(INDICATOR_DIR       indicator indicatordir)
read_pkg_variable(INDICATOR_ICONS_DIR indicator iconsdir)
configure_file(indicator-config.h.in indicator-config.h)

# Sources
set(uqapplets_SRCS
    appindicator/appindicatorapplet.cpp
    appindicator/sniitem.cpp
    appname/appnameapplet.cpp
    appname/menubarwidget.cpp
    appname/registrar.cpp
    appname/windowhelper.cpp
    common/applet.cpp
    homebutton/homebuttonapplet.cpp
    indicator/abstractindicator.cpp
    indicator/datetimeindicator.cpp
    indicator/indicatorapplet.cpp
    indicator/indicatorservicemanager.cpp
    indicator/indicator.c
    legacytray/legacytrayapplet.cpp
    legacytray/fdoselectionmanager.cpp
    legacytray/fdotask.cpp
    legacytray/x11embedcontainer.cpp
    legacytray/x11embeddelegate.cpp
    legacytray/x11embedpainter.cpp
    )

qt4_add_dbus_adaptor(uqapplets_SRCS appname/org.ayatana.AppMenu.Registrar.xml
    registrar.h Registrar
    )

qt4_automoc(${uqapplets_SRCS})

# Build
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/appindicator
    ${CMAKE_CURRENT_SOURCE_DIR}/appname
    ${CMAKE_CURRENT_SOURCE_DIR}/common
    ${CMAKE_CURRENT_SOURCE_DIR}/homebutton
    ${CMAKE_CURRENT_SOURCE_DIR}/indicator
    ${QTBAMF_INCLUDE_DIRS}
    ${DBUSMENUQT_INCLUDE_DIRS}
    ${GTK_INCLUDE_DIRS}
    ${INDICATOR_INCLUDE_DIRS}
    ${WNCK_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${X11_INCLUDE_DIR}
    ${libunity-2d-private_SOURCE_DIR}/src
    )

add_library(uqapplets ${uqapplets_SRCS})

target_link_libraries(uqapplets
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    ${DBUSMENUQT_LDFLAGS}
    ${QTBAMF_LDFLAGS}
    ${GTK_LDFLAGS}
    ${INDICATOR_LDFLAGS}
    ${WNCK_LDFLAGS}
    ${X11_LIBRARIES}
    ${X11_Xrender_LIB}
    ${X11_Xcomposite_LIB}
    ${X11_Xdamage_LIB}
    ${X11_Xfixes_LIB}
    unity-2d-private
    )

=== places/app/CMakeLists.txt ===
# Dependencies
find_package(X11 REQUIRED)
pkg_check_modules(QTGCONF REQUIRED libqtgconf)

# Sources
set(places_SRCS
    places.cpp
    dashdeclarativeview.cpp
    )

set(places_MOC_HDRS
    dashdeclarativeview.h
    )

qt4_wrap_cpp(places_MOC_SRCS ${places_MOC_HDRS})

# Build
configure_file(unity-2d-places.service.in unity-2d-places.service)

add_executable(unity-2d-places ${places_SRCS} ${places_MOC_SRCS})

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QTGCONF_INCLUDE_DIRS}
    ${libunity-2d-private_SOURCE_DIR}/src
    )

target_link_libraries(unity-2d-places
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${QTGCONF_LDFLAGS}
    ${X11_Xext_LIB}
    ${X11_X11_LIB}
    unity-2d-private
    )

# Install
install(TARGETS unity-2d-places
    RUNTIME DESTINATION bin
    )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/unity-2d-places.service
    DESTINATION share/dbus-1/services
    )

install(FILES unity-2d-places.desktop
    DESTINATION share/applications
    )

=== spread/app/CMakeLists.txt ===
# Dependencies
pkg_check_modules(GTK REQUIRED gtk+-2.0)
find_package(X11 REQUIRED)

# Sources
set(spread_SRCS
    spread.cpp
    spreadview.cpp
    spreadcontrol.cpp
   )

set(spread_MOC_HDRS
    spreadview.h
    spreadcontrol.h
    )

qt4_wrap_cpp(spread_MOC_SRCS ${spread_MOC_HDRS})

configure_file(unity-2d-spread.service.in unity-2d-spread.service)

qt4_add_dbus_adaptor(spread_SRCS spread.xml
    spreadcontrol.h SpreadControl
    )

# Build
add_executable(unity-2d-spread ${spread_SRCS} ${spread_MOC_SRCS})

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GTK_INCLUDE_DIRS}
    ${libunity-2d-private_SOURCE_DIR}/src
    )

target_link_libraries(unity-2d-spread
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${GTK_LDFLAGS}
    ${X11_Xext_LIB}
    ${X11_X11_LIB}
    unity-2d-private
    )

# Install
install(TARGETS unity-2d-spread
    RUNTIME DESTINATION bin
    )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/unity-2d-spread.service
    DESTINATION share/dbus-1/services
    )

=== debian/changelog ===
unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte9) lucid; urgency=low

  * Do not call bamf_matcher_register_favorites; it's an API we do not
    have and causes FTBFS.

 -- Alex Chiang <achiang@canonical.com>  Wed, 15 Jun 2011 10:00:14 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte8) lucid; urgency=low

  * Rebuild to fix FTBFS.

 -- Alex Chiang <achiang@canonical.com>  Wed, 15 Jun 2011 08:27:48 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte7) lucid; urgency=low

  * Turn off compositing manager gconf key (LP: #797235)

 -- Alex Chiang <achiang@canonical.com>  Wed, 15 Jun 2011 07:46:36 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte6) lucid; urgency=low

  * Remove chromium from launcher (LP: #795776)

 -- Alex Chiang <achiang@canonical.com>  Fri, 10 Jun 2011 16:41:40 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte5) lucid; urgency=low

  * Fix typos in compositing gconf keys

 -- Alex Chiang <achiang@canonical.com>  Tue, 24 May 2011 15:13:42 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte4) lucid; urgency=low

  * Set appropriate gconf keys for compositing manager and effects.
  * Increase launcher/dash alpha to 0.71, now that we have compositing.

 -- Alex Chiang <achiang@canonical.com>  Mon, 23 May 2011 11:36:19 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte3) lucid; urgency=low

  * If there's a compositor running let the fullscreen dash and the
    launcher use real transparency (LP: #772118)

 -- Alex Chiang <achiang@canonical.com>  Fri, 20 May 2011 10:27:02 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte2) lucid; urgency=low

  * launcher/UnityApplications/launcherapplication.cpp: a fix for LP: #768539
    introduced a small regression, where we no longer display GenericName,
    so fix the place where we ask for the app's name (LP: #778548)
  * places/SearchEntry.qml: wait a little longer before searching for the
    user's search term; this prevents us from doing multiple, false searches
    which performs poorly and looks bad on our hardware (LP: #772036)

 -- Alex Chiang <achiang@canonical.com>  Thu, 19 May 2011 09:07:06 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte1) lucid; urgency=low

  * Merge with OEM upstream

 -- Alex Chiang <achiang@canonical.com>  Wed, 11 May 2011 22:56:58 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2) lucid; urgency=low

  * Launcher.qml: cache launcher items to improve scrolling (LP: #780566)

 -- Alex Chiang <achiang@canonical.com>  Wed, 11 May 2011 22:53:56 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d1charlotte4) lucid; urgency=low

  * Fix a comment in HomeButtonApplication.qml. Need to use C style
    comment delimiters, not shell style; using '#' causes dash to break

 -- Alex Chiang <achiang@canonical.com>  Tue, 03 May 2011 08:51:42 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d1charlotte3) lucid; urgency=low

  * Rework the dash homescreen default applications (LP: #768755)

 -- Alex Chiang <achiang@canonical.com>  Mon, 02 May 2011 13:00:07 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d1charlotte2) lucid; urgency=low

  * Set default label text in HomeButtonApplication.qml to help support
    the changes we want for LP: #768755

 -- Alex Chiang <achiang@canonical.com>  Mon, 02 May 2011 11:53:19 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d1charlotte1) lucid; urgency=low

  * Merge with OEM upstream

 -- Alex Chiang <achiang@canonical.com>  Fri, 22 Apr 2011 11:02:20 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d1) lucid; urgency=low

  * Merge with upstream to get fixes for:
    - Midori (Close,Minimize,Maximize) buttons are missing (LP: #753702)
    - Old Open Office Icons are still displaying (LP: #768539)

 -- Alex Chiang <achiang@canonical.com>  Fri, 22 Apr 2011 11:00:16 -0600

unity-2d (0.4-0ubuntu1~bzr453unity2d1charlotte1) lucid; urgency=low

  * Merge with OEM upstream
  * places/Home.qml: make 'Photos' item launch Shotwell (LP: #761857)

 -- Alex Chiang <achiang@canonical.com>  Fri, 22 Apr 2011 08:46:40 -0600

unity-2d (0.4-0ubuntu1~bzr453unity2d1) lucid; urgency=low

  * Merge with upstream to get fix for LP: #768750

 -- Alex Chiang <achiang@canonical.com>  Fri, 22 Apr 2011 08:29:28 -0600

unity-2d (0.4-0ubuntu1~bzr452unity2d1charlotte2) lucid; urgency=low

  * launcher/LauncherItem.qml: decrease duration of launch pulsing, and
    make it only loop once, to make launching apps faster (LP: #758740)
  * places/Home.qml: make 'Photos' item open Nautilus in $HOME/Pictures
    (LP: #757773)
  * debian/20_unity-2d-gconf-default: add nautilus back to Launcher
    (LP: #760913)

 -- Alex Chiang <achiang@canonical.com>  Thu, 14 Apr 2011 16:57:03 -0600

unity-2d (0.4-0ubuntu1~bzr452unity2d1charlotte1) lucid; urgency=low

  * Merge with OEM upstream

 -- Alex Chiang <achiang@canonical.com>  Thu, 14 Apr 2011 09:12:17 -0600

unity-2d (0.4-0ubuntu1~bzr452unity2d1) lucid; urgency=low

  * Merge with upstream to pick up fix for LP: #745013

 -- Alex Chiang <achiang@canonical.com>  Thu, 14 Apr 2011 09:07:50 -0600

unity-2d (0.4-0ubuntu1~bzr451unity2d1charlotte2) lucid; urgency=low

  * Add launcher transparency. This is merely QML, uses the same logic as
    the dash, and is therefore a lot safer than messing around with panel
    transparency. Finally, it's a bigger win to get just this piece of
    functionality, versus going for the panel too.

 -- Alex Chiang <achiang@canonical.com>  Thu, 07 Apr 2011 14:08:17 -0600

unity-2d (0.4-0ubuntu1~bzr451unity2d1charlotte1) lucid; urgency=low

  * Merge with OEM upstream to pick up fix for (LP: #747751)

 -- Alex Chiang <achiang@canonical.com>  Thu, 07 Apr 2011 11:04:19 -0600

unity-2d (0.4-0ubuntu1~bzr451unity2d1) lucid; urgency=low

  * Merge with upstream

 -- Alex Chiang <achiang@canonical.com>  Thu, 07 Apr 2011 10:35:20 -0600

unity-2d (0.4-0ubuntu1~bzr444unity2d1charlotte4) UNRELEASED; urgency=low

  * Revert alpha blending, and revert fake compositing. The compositing
    exposes an X crasher (LP: #752636), which we do not have time to fix.



=== debian/control ===
Source: unity-2d
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
Build-Depends: cdbs, debhelper (>= 7),
               cmake, bzr, libqt4-dev,
               libglib2.0-dev (>= 2.26.0-0ubuntu1~unity2d2), libgtk2.0-dev, libwnck-dev,
               libqtgconf-dev, libqtbamf-dev, libqtdee-dev, libdbusmenu-qt-dev,
               libx11-dev, libindicator-dev, libgtk2.0-dev,
               libstartup-notification0-dev
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~oem-solutions-group/charlotte/unity-2d

Package: unity-2d
Architecture: all
Depends: ${misc:Depends},
 unity-2d-launcher, unity-2d-panel, unity-2d-places, unity-2d-spread,
 metacity ( >= 2.30.2-0ubuntu1upicek4 ), gnome-session-bin,
 light-themes ( >= 0.1.8.2~ )
Recommends: indicator-application, indicator-datetime, 
 indicator-me, indicator-messages, indicator-session, indicator-sound, 
 gnome-settings-daemon, nautilus, policykit-1-gnome, gnome-power-manager, 
 appmenu-gtk,
 gtk2-engines-pixbuf
Provides: unity-2d-default-settings, unity-qt-default-settings
Breaks: unity-2d-default-settings (<= 0.1.33), unity-qt-default-settings (<= 0.1.28)
Replaces:  unity-2d-default-settings (<= 0.1.33), unity-qt-default-settings (<= 0.1.28)
Description: Unity interface for non-accelerated graphics cards
 The Unity 2D interface installs a fully usable 2D session and provides the 
 common configuration files and defaults. Installing this package will 
 offer a session called Unity 2D in your login manager.
 .
 Unity 2D is designed to run smoothly without any graphics acceleration.

Package: unity-2d-default-settings
Architecture: all
Depends: unity-2d
Description: Transitional package for upgrades to the new unity-2d package
 This transitional package helps users transition to the
 unity-2d package. Once this package and its dependencies
 are installed you can safely remove it.

Package: unity-qt-default-settings
Architecture: all
Depends: unity-2d
Description: dummy transitional package for unity-2d
 This transitional package helps users transition to the
 unity-2d package. Once this package and its dependencies
 are installed you can safely remove it.

Package: libunity-2d-private0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libunity-2d0 (<< 0.4-0ubuntu1~bzr403)
Replaces: libunity-2d0 (<< 0.4-0ubuntu1~bzr403)
Description: Unity 2D shared library
 This library is used to host common code used by several Unity 2D components

Package: libunity-2d-private-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libunity-2d-private0 (= ${binary:Version})
Breaks: libunity-2d-dev (<< 0.4-0ubuntu1~bzr403)
Replaces: libunity-2d-dev (<< 0.4-0ubuntu1~bzr403)
Description: Unity 2D shared library - development files
 This library is used to host common code used by several Unity 2D components
 .
 This package contains the development header files.

Package: unity-2d-launcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unity-asset-pool, libqt4-svg, libunity-2d-private0
Recommends: unity-place-files, unity-place-applications
Provides: unity-qt-launcher
Breaks: unity-qt-launcher (<= 0.2)
Replaces: unity-qt-launcher (<= 0.2)
Description: Unity 2D Launcher
 The Unity 2D launcher displays a list of running applications as well as a
 list of favorite applications in a panel at the left of the screen.
 Notifications from individual applications are also highlighted in the
 launcher.
 
Package: unity-2d-panel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libunity-2d-private0
Provides: unity-qt-panel
Breaks: unity-qt-panel (<= 0.2)
Replaces: unity-qt-panel (<= 0.2)
Description: Unity 2D Panel
 The Unity 2D panel displays a top panel containing the application menu and
 various indicators. It is part of Unity 2D and can not run  as a standalone
 application outside of the Unity 2D environment.

Package: unity-2d-places
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unity-2d-launcher, libunity-2d-private0, libqt4-svg
Provides: unity-qt-places
Breaks: unity-qt-places (<= 0.2)
Replaces: unity-qt-places (<= 0.2)
Description: Unity 2D Places
 The Unity 2D places overlay over the desktop to provide quick access to
 various categories of applications. It is part of Unity 2D and can not run
 as a standalone application outside of the Unity 2D environment.

Package: unity-2d-spread
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unity-2d-launcher, libunity-2d-private0,
         libqt4-svg
Provides: unity-qt-spread
Breaks: unity-qt-spread (<= 0.2)
Replaces: unity-qt-spread (<= 0.2)
Description: Unity 2D Spread
 The Unity 2D spread allows you to display a quick thumbnailed view of open
 windows so you can quickly and effectively choose which one you want to 
 switch to. It is part of Unity 2D and can not run  as a standalone application
 outside of the Unity 2D environment.

Package: unity-qt-launcher
Architecture: any
Depends: ${misc:Depends}, unity-2d-launcher
Description: dummy transitional package for unity-2d-launcher
 This transitional package helps users transition to the
 unity-2d-launcher package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: unity-qt-panel
Architecture: any
Depends: ${misc:Depends}, unity-2d-panel
Description: dummy transitional package for unity-2d-panel
 This transitional package helps users transition to the
 unity-2d-panel package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: unity-qt-places
Architecture: any
Depends: ${misc:Depends}, unity-2d-places
Description: dummy transitional package for unity-2d-places
 This transitional package helps users transition to the
 unity-2d-places package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: unity-qt-spread
Architecture: any
Depends: ${misc:Depends}, unity-2d-spread
Description: dummy transitional package for unity-2d-spread
 This transitional package helps users transition to the
 unity-2d-spread package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: libuqpanel0
Architecture: any
Depends: ${misc:Depends}, libunity-2d-private0
Description: dummy transitional package for libuqpanel0
 This transitional package helps users transition to the
 libunity-2d-private0 package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: libuqpanel-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libunity-2d-private-dev
Description: dummy transitional package for libuqpanel-dev
 This transitional package helps users transition to the
 libunity-2d-private-dev package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: libunity-2d0
Architecture: any
Depends: ${misc:Depends}, libunity-2d-private0
Description: dummy transitional package for libunity-2d0
 This transitional package helps users transition to the
 libunity-2d-private0 package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: libunity-2d-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libunity-2d-private-dev
Description: dummy transitional package for libunity-2d-dev
 This transitional package helps users transition to the
 libunity-2d-private-dev package.  Once this package and its dependencies
 are installed you can safely remove it.

=== debian/rules ===
#!/usr/bin/make -f

# shared libraries are in plugins directory
DEB_DH_MAKESHLIBS_ARGS :=-n

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

common-build-indep::
	$(MAKE) -C $(DEB_BUILDDIR) update-po

## unity-2d 3.8.3

=== debian/changelog ===
unity-2d (3.8.3-0ubuntu1~bzr525) natty; urgency=low

  * Home screen to launch maximized

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 08 Apr 2011 13:06:35 -0400

unity-2d (3.8.2-0ubuntu1) natty; urgency=low

  [ Oliver Grawert ]
  * New upstream bugfix release
   - (LP: #632526)  Dash elipsizes file and application names too soon, making them
     unreadable
   - (LP: #669926) [launcher] Web favorites support
   - (LP: #708479) Dash view should use "Prefferred Applications" icons where
     appropriate
   - (LP: #718686) [dash] Group of results sometimes badly positioned
   - (LP: #727483) unity-2d-panel crashed with SIGSEGV in g_return_if_fail_warning()
   - (LP: #731449) [launcher] Dragging a tile at the top of the launcher while
     autoscrolling makes autoscroll wrong afterwards
   - (LP: #736097) [dash] home screen misses icons for applications that are not
     installed
   - (LP: #744999) [launcher] launchers are truncated when too many items to fit
     onscreen
   - (LP: #745077) [spread] clicking launcher with open windows not working correctly
     across workspaces
   - (LP: #745237) [dash] search field default string not translated
   - (LP: #746693) [launcher] .places messages not i18nized
   - (LP: #747836) [dash] Banshee no longer works from the dash home page in 3.8.2
   - (LP: #750753) [dash] showing/hiding places causing graphical corruption
   - (LP: #670608) [dash] Home screen customization should be easy
   - (LP: #683084) Global menu doesn't work well with more than one screen
   - (LP: #714646) [launcher] icons jagged edges during animation
   - (LP: #717744) [panel] inactive menus are clickable
   - (LP: #729002) First four items in Dash begin "Find" "Find" "Find" "Find"
   - (LP: #745758) [spread] super+s should toggle the workspace switcher
   - (LP: #751284) [launcher] Escaping of title broken with webfavorites
   - (LP: #751325) [panel] circle of friends button icon needs to be updated to match
     Unity's
   - (LP: #697816) [launcher] if an urgent window is available then the spread should
     not be activated
   - (LP: #729478) [launcher] Clicking middle mouse button should launch another
     instance of application
   - (LP: #750244) [launcher] Newly installed lenses don’t appear
   - (LP: #752948) Home's "Shortcuts" not i18n/l10n

  [ Aurélien Gâteau ]
  * Include .mo files in unity-2d package (LP: #751425)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 08 Apr 2011 16:03:10 +0200

unity-2d (3.8.1-0ubuntu1) natty; urgency=low

  * Upstream bugfix to fix global search showing no results (LP: #741201)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 23 Mar 2011 20:52:29 +0100

unity-2d (3.8-0ubuntu1) natty; urgency=low

  * New upstream bugfix release
   - fixes (LP: #580295),(LP: #670403),(LP: #676457),(LP: #706247),
   (LP: #708429),(LP: #719507),(LP: #724717),(LP: #726712),(LP: #726715),
   (LP: #726727),(LP: #727164),(LP: #727409),(LP: #730499),(LP: #733244),
   (LP: #733960),(LP: #738025),(LP: #739417),(LP: #740137),(LP: #740280),
   (LP: #691114),(LP: #701543),(LP: #701546),(LP: #703389),(LP: #703396),
   (LP: #705642),(LP: #706248),(LP: #706713),(LP: #709280),(LP: #711081),
   (LP: #714707),(LP: #716167),(LP: #721049),(LP: #722711),(LP: #722713),
   (LP: #723604),(LP: #726630),(LP: #726682),(LP: #726716),(LP: #727883),
   (LP: #729699),(LP: #730638),(LP: #730880),(LP: #732978),(LP: #733154),
   (LP: #733897),(LP: #733959),(LP: #734143),(LP: #738332),(LP: #683026),
   (LP: #718866),(LP: #721121),(LP: #724316),(LP: #731165),(LP: #734074),
   (LP: #735500),(LP: #716506),(LP: #733150),(LP: #672447),(LP: #716580),
   (LP: #728291),(LP: #730884),(LP: #731263),(LP: #731266)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 23 Mar 2011 15:31:16 +0100

unity-2d (3.6.2-0ubuntu2) natty; urgency=low

  * do not run pkgbinarymangler to convert images to 8bit since this breaks
    the launcher icon background handling
    (QT upstream bug: http://bugreports.qt.nokia.com/browse/QTBUG-4459)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 18 Mar 2011 13:08:56 +0100

unity-2d (3.6.2-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 15 Mar 2011 17:59:55 +0100

unity-2d (3.6.1-0ubuntu1) natty; urgency=low

  * New Upstream, fix FTBFS with po files generation

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 24 Feb 2011 15:19:02 +0100

unity-2d (3.6.0-0ubuntu1) natty; urgency=low

  * New Upstream version

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 24 Feb 2011 13:45:27 +0100

unity-2d (3.2.2-0ubuntu1) natty; urgency=low

  * new upstream version

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 28 Jan 2011 15:41:48 +0100

unity-2d (3.2.1-0ubuntu1) natty; urgency=low

  * new upstream version, we have minor upstream versions now

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 27 Jan 2011 15:00:23 +0100

unity-2d (3.2-0ubuntu3) natty; urgency=low

  * Conflicts/Replaces needs to be Breaks/Replaces

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Jan 2011 20:36:09 +0100

unity-2d (3.2-0ubuntu2) natty; urgency=low

  * merge unity-2d-default-settings package as new unity-2d toplevel 
    package.
  * fix various typos in package descriptions (LP: #703170)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Jan 2011 18:27:04 +0100

unity-2d (3.2-0ubuntu1) natty; urgency=low

  * switch to proper upstream versioning, we are actually at 3.2 not 1.0

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 21 Jan 2011 14:39:01 +0100

unity-2d (0.1-0ubuntu4) natty; urgency=low

  * add Vcs-Bzr location to debian/control
  * update branch location in debian/copyright
  * pull in some upstream fixes

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 21 Jan 2011 13:11:45 +0100

unity-2d (0.1-0ubuntu3) natty; urgency=low

  * drop the unity-place-files and unity-place-applications recommends and 
    dependencies as these are uninstallable in natty right now

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 17 Jan 2011 15:28:20 +0100

unity-2d (0.1-0ubuntu2) natty; urgency=low
